
package de.ivu.elect.business.gebietsbaum.control;

import static java.util.Collections.emptyList;

import java.util.List;

import de.ivu.elect.business.exchange.control.AbstractWahlExchangeContext;
import de.ivu.elect.business.gebietsbaum.boundary.Stimmbezirkregister;
import de.ivu.elect.business.gebietsbaum.boundary.StimmbezirkregisterStimmbezirk;
import de.ivu.elect.business.mandant.entity.Mandant;
import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;

public class NoOpStimmbezirkregister implements Stimmbezirkregister {

  public static final NoOpStimmbezirkregister INSTANCE = new NoOpStimmbezirkregister();

  private NoOpStimmbezirkregister() {
    super();
  }

  @Override
  public boolean isErreichbar(Mandant mandant) {
    return false;
  }

  @Override
  public void addSuchparameterStimmbezirke(FormBuilder formBuilder, AbstractWahlExchangeContext context) {
    // Do nothing...
  }

  @Override
  public List<StimmbezirkregisterStimmbezirk> sucheStimmbezirke(AbstractWahlExchangeContext context) {
    return emptyList();
  }
}
